grk::logger Struct Reference

`#include <logger.h>`

## Public Member Functions

| logger ()

## Public Attributes

void * | error_data_
void * | warning_data_
void * | info_data_
grk_msg_callback | error_handler
grk_msg_callback | warning_handler
grk_msg_callback | info_handler

## Static Public Attributes

static logger | logger_

## Constructor & Destructor Documentation

## logger()

grk::logger::logger | ( |  | ) |

## Member Data Documentation

## error_data_

void* grk::logger::error_data_

Referenced by grk_set_msg_handlers().

## error_handler

grk_msg_callback grk::logger::error_handler

Referenced by grk_set_msg_handlers().

## info_data_

void* grk::logger::info_data_

Referenced by grk_set_msg_handlers().

## info_handler

grk_msg_callback grk::logger::info_handler

Referenced by grk_set_msg_handlers().

## logger_

logger grk::logger::logger_

static

Referenced by grk::GRK_ERROR(), grk::GRK_INFO(), grk_set_msg_handlers(), and grk::GRK_WARN().

## warning_data_

void* grk::logger::warning_data_

Referenced by grk_set_msg_handlers().

## warning_handler

grk_msg_callback grk::logger::warning_handler

Referenced by grk_set_msg_handlers().

The documentation for this struct was generated from the following files:

- logger.h
- logger.cpp